MetaMappingInfo (Grails 6.0.0)

Package: org.grails.web.mapping

## [Groovy] Class MetaMappingInfo

- org.grails.web.mapping.MetaMappingInfo

-     @groovy.transform.PackageScope
      class MetaMappingInfo
      extends java.lang.Object

  Meta data describing a url mapping

  Since:
    2.3.5

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.lang.Object` | `action` |
    `private java.util.List<grails.gorm.validation.ConstrainedProperty>` | `constraints` |
    `private java.lang.Object` | `controller` |
    `private java.lang.String` | `httpMethod` |
    `private java.lang.Object` | `namespace` |
    `private java.lang.Object` | `plugin` |
    `private java.lang.Object` | `redirectInfo` |
    `private java.lang.Object` | `uri` |
    `private java.lang.Object` | `view` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.Object` | `action`
    `java.util.List<grails.gorm.validation.ConstrainedProperty>` | `constraints`
    `java.lang.Object` | `controller`
    `java.lang.String` | `httpMethod`
    `java.lang.Object` | `namespace`
    `java.lang.Object` | `plugin`
    `java.lang.Object` | `redirectInfo`
    `java.lang.Object` | `uri`
    `java.lang.Object` | `view`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `MetaMappingInfo ()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private java.lang.Object action

    - #### private java.util.List<grails.gorm.validation.ConstrainedProperty> constraints

    - #### private java.lang.Object controller

    - #### private java.lang.String httpMethod

    - #### private java.lang.Object namespace

    - #### private java.lang.Object plugin

    - #### private java.lang.Object redirectInfo

    - #### private java.lang.Object uri

    - #### private java.lang.Object view

  - ### Property Detail

    - #### java.lang.Object action

    - #### java.util.List<grails.gorm.validation.ConstrainedProperty> constraints

    - #### java.lang.Object controller

    - #### java.lang.String httpMethod

    - #### java.lang.Object namespace

    - #### java.lang.Object plugin

    - #### java.lang.Object redirectInfo

    - #### java.lang.Object uri

    - #### java.lang.Object view

  - ### Constructor Detail

    - #### MetaMappingInfo()